
var wordsList = [];

function wordsListRequest(callback)
{
	$.get("http://localhost:8080/get_words", function(data, status){
		if(status === "success" && data.result === "ok")
		{
			wordsList = [];
			for(var i = 0; i < data.words.length; i++)
			{
				var word = decodeURIComponent(data.words[i].word);
				wordsList.push(word);
			}
			
			callback();
		}
		else
		{
			console.log(status);
		}
	});
}

function addWordRequest(word)
{
	word = encodeURIComponent(word);
	$.get("http://localhost:8080/insert?word="+word, function(data, status){ console.log(status+"; "+data); } );
}

function deleteWordRequest(word)
{
	word = encodeURIComponent(word);
	$.get("http://localhost:8080/delete?word="+word, function(data, status){ console.log(status+"; "+data); } );
}

function initBackground() 
{
	var lastTab = null;
	
	wordsListRequest(function() {});
	
	chrome.runtime.onMessage.addListener(
		function(request, sender, sendResponse)
		{
			lastTab = sender.tab;
			
			if(request.action === "words_request")
			{
				wordsListRequest(function() { chrome.runtime.sendMessage( { response: "words_list", data: wordsList }); });
			}
			else if(request.action === "get_words")
			{
				sendResponse(wordsList);
			}
			else if(request.action === "on_list")
			{
				var onList = false;
				if(wordsList.indexOf(request.word) !== -1)
					onList = true;
				
				sendResponse( { onList: onList } );
			}
			else if(request.action === "add_word")
			{
				wordsList.push(request.word);
				addWordRequest(request.word);
				
				sendResponse( { result: "ok" } );
			}
			else if(request.action === "delete_word")
			{
				wordsList.splice(wordsList.indexOf(request.word), 1);
				
				deleteWordRequest(request.word);
				
				sendResponse( { result: "ok" } );
			}
		}
	);
}

initBackground();
