
function init()
{
	$("#reload").get(0).addEventListener("click", function() { reload(); } );
	
	chrome.runtime.sendMessage( { action: "get_words" }, callback);
	
	function callback(data)
	{
		createList(data);
	}
	
	chrome.runtime.onMessage.addListener(
		function(request, sender, sendResponse)
		{
			if(request.response === "words_list")
			{
				createList(request.data);
			}
		}
	);
}

function reload()
{
	chrome.runtime.sendMessage( { action: "words_request" } );
	
	$("#list").empty();
}

function createList(arr)
{
	var ul = $("<ul></ul>");
	$("#list").append(ul);
	
	for(var i = 0; i < arr.length; i++)
	{
		var li = $("<li></li>");
		ul.append(li);
		
		var span = $("<span id='spanN"+(i+1)+"'>"+arr[i]+"</span>");
		li.append(span);
		
		var a = $("<a id='N"+(i+1)+"' href='#'>x</a>");
		li.append(a);
		
		var onClick = function(event) {
				var aId = event.target.id;
				$("#"+aId).remove();
				deleteWord($("#span"+aId).text());
				$("#span"+aId).css("text-decoration", "line-through");
			}
		
		a.get(0).addEventListener("click", onClick);
	}
}

function deleteWord(word)
{
	console.log("removing "+word);
	chrome.runtime.sendMessage( { action: "delete_word", word: String(word) } );
}

document.addEventListener('DOMContentLoaded', init);